### Method

# Gsk RenderReplay filter_texture

since: 4.22

#### Declaration [src]

    GdkTexture*
    gsk_render_replay_filter_texture (
      GskRenderReplay* self,
      GdkTexture* texture
    )

#### Description [src]

Filters a texture using the current filter function.

Available since: 4.22

#### Parameters

`texture`

  Type: `GdkTexture`

  The texture to filter.

  The data is owned by the caller of the method.

#### Return value

Type: `GdkTexture`

The filtered texture.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.